Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
243.0.0.0
Broadcast address
243.255.255.255
First usable
243.0.0.1
Last usable
243.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F3000000 · Integer 4076863488 to 4093640703
Reverse DNS zone
243.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011..00000000.00000000.00000000243.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11110011..00000000.00000000.00000000243.0.0.0
Broadcast11110011..11111111.11111111.11111111243.255.255.255
Split into smaller subnets/18

243.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.0.0.0/18243.0.0.1 to 243.0.63.254243.0.63.25516,382
2243.0.64.0/18243.0.64.1 to 243.0.127.254243.0.127.25516,382
3243.0.128.0/18243.0.128.1 to 243.0.191.254243.0.191.25516,382
4243.0.192.0/18243.0.192.1 to 243.0.255.254243.0.255.25516,382
5243.1.0.0/18243.1.0.1 to 243.1.63.254243.1.63.25516,382
6243.1.64.0/18243.1.64.1 to 243.1.127.254243.1.127.25516,382
7243.1.128.0/18243.1.128.1 to 243.1.191.254243.1.191.25516,382
8243.1.192.0/18243.1.192.1 to 243.1.255.254243.1.255.25516,382
9243.2.0.0/18243.2.0.1 to 243.2.63.254243.2.63.25516,382
10243.2.64.0/18243.2.64.1 to 243.2.127.254243.2.127.25516,382
11243.2.128.0/18243.2.128.1 to 243.2.191.254243.2.191.25516,382
12243.2.192.0/18243.2.192.1 to 243.2.255.254243.2.255.25516,382
13243.3.0.0/18243.3.0.1 to 243.3.63.254243.3.63.25516,382
14243.3.64.0/18243.3.64.1 to 243.3.127.254243.3.127.25516,382
15243.3.128.0/18243.3.128.1 to 243.3.191.254243.3.191.25516,382
16243.3.192.0/18243.3.192.1 to 243.3.255.254243.3.255.25516,382
17243.4.0.0/18243.4.0.1 to 243.4.63.254243.4.63.25516,382
18243.4.64.0/18243.4.64.1 to 243.4.127.254243.4.127.25516,382
19243.4.128.0/18243.4.128.1 to 243.4.191.254243.4.191.25516,382
20243.4.192.0/18243.4.192.1 to 243.4.255.254243.4.255.25516,382
21243.5.0.0/18243.5.0.1 to 243.5.63.254243.5.63.25516,382
22243.5.64.0/18243.5.64.1 to 243.5.127.254243.5.127.25516,382
23243.5.128.0/18243.5.128.1 to 243.5.191.254243.5.191.25516,382
24243.5.192.0/18243.5.192.1 to 243.5.255.254243.5.255.25516,382
25243.6.0.0/18243.6.0.1 to 243.6.63.254243.6.63.25516,382
26243.6.64.0/18243.6.64.1 to 243.6.127.254243.6.127.25516,382
27243.6.128.0/18243.6.128.1 to 243.6.191.254243.6.191.25516,382
28243.6.192.0/18243.6.192.1 to 243.6.255.254243.6.255.25516,382
29243.7.0.0/18243.7.0.1 to 243.7.63.254243.7.63.25516,382
30243.7.64.0/18243.7.64.1 to 243.7.127.254243.7.127.25516,382
31243.7.128.0/18243.7.128.1 to 243.7.191.254243.7.191.25516,382
32243.7.192.0/18243.7.192.1 to 243.7.255.254243.7.255.25516,382
33243.8.0.0/18243.8.0.1 to 243.8.63.254243.8.63.25516,382
34243.8.64.0/18243.8.64.1 to 243.8.127.254243.8.127.25516,382
35243.8.128.0/18243.8.128.1 to 243.8.191.254243.8.191.25516,382
36243.8.192.0/18243.8.192.1 to 243.8.255.254243.8.255.25516,382
37243.9.0.0/18243.9.0.1 to 243.9.63.254243.9.63.25516,382
38243.9.64.0/18243.9.64.1 to 243.9.127.254243.9.127.25516,382
39243.9.128.0/18243.9.128.1 to 243.9.191.254243.9.191.25516,382
40243.9.192.0/18243.9.192.1 to 243.9.255.254243.9.255.25516,382
41243.10.0.0/18243.10.0.1 to 243.10.63.254243.10.63.25516,382
42243.10.64.0/18243.10.64.1 to 243.10.127.254243.10.127.25516,382
43243.10.128.0/18243.10.128.1 to 243.10.191.254243.10.191.25516,382
44243.10.192.0/18243.10.192.1 to 243.10.255.254243.10.255.25516,382
45243.11.0.0/18243.11.0.1 to 243.11.63.254243.11.63.25516,382
46243.11.64.0/18243.11.64.1 to 243.11.127.254243.11.127.25516,382
47243.11.128.0/18243.11.128.1 to 243.11.191.254243.11.191.25516,382
48243.11.192.0/18243.11.192.1 to 243.11.255.254243.11.255.25516,382
49243.12.0.0/18243.12.0.1 to 243.12.63.254243.12.63.25516,382
50243.12.64.0/18243.12.64.1 to 243.12.127.254243.12.127.25516,382
51243.12.128.0/18243.12.128.1 to 243.12.191.254243.12.191.25516,382
52243.12.192.0/18243.12.192.1 to 243.12.255.254243.12.255.25516,382
53243.13.0.0/18243.13.0.1 to 243.13.63.254243.13.63.25516,382
54243.13.64.0/18243.13.64.1 to 243.13.127.254243.13.127.25516,382
55243.13.128.0/18243.13.128.1 to 243.13.191.254243.13.191.25516,382
56243.13.192.0/18243.13.192.1 to 243.13.255.254243.13.255.25516,382
57243.14.0.0/18243.14.0.1 to 243.14.63.254243.14.63.25516,382
58243.14.64.0/18243.14.64.1 to 243.14.127.254243.14.127.25516,382
59243.14.128.0/18243.14.128.1 to 243.14.191.254243.14.191.25516,382
60243.14.192.0/18243.14.192.1 to 243.14.255.254243.14.255.25516,382
61243.15.0.0/18243.15.0.1 to 243.15.63.254243.15.63.25516,382
62243.15.64.0/18243.15.64.1 to 243.15.127.254243.15.127.25516,382
63243.15.128.0/18243.15.128.1 to 243.15.191.254243.15.191.25516,382
64243.15.192.0/18243.15.192.1 to 243.15.255.254243.15.255.25516,382
65243.16.0.0/18243.16.0.1 to 243.16.63.254243.16.63.25516,382
66243.16.64.0/18243.16.64.1 to 243.16.127.254243.16.127.25516,382
67243.16.128.0/18243.16.128.1 to 243.16.191.254243.16.191.25516,382
68243.16.192.0/18243.16.192.1 to 243.16.255.254243.16.255.25516,382
69243.17.0.0/18243.17.0.1 to 243.17.63.254243.17.63.25516,382
70243.17.64.0/18243.17.64.1 to 243.17.127.254243.17.127.25516,382
71243.17.128.0/18243.17.128.1 to 243.17.191.254243.17.191.25516,382
72243.17.192.0/18243.17.192.1 to 243.17.255.254243.17.255.25516,382
73243.18.0.0/18243.18.0.1 to 243.18.63.254243.18.63.25516,382
74243.18.64.0/18243.18.64.1 to 243.18.127.254243.18.127.25516,382
75243.18.128.0/18243.18.128.1 to 243.18.191.254243.18.191.25516,382
76243.18.192.0/18243.18.192.1 to 243.18.255.254243.18.255.25516,382
77243.19.0.0/18243.19.0.1 to 243.19.63.254243.19.63.25516,382
78243.19.64.0/18243.19.64.1 to 243.19.127.254243.19.127.25516,382
79243.19.128.0/18243.19.128.1 to 243.19.191.254243.19.191.25516,382
80243.19.192.0/18243.19.192.1 to 243.19.255.254243.19.255.25516,382
81243.20.0.0/18243.20.0.1 to 243.20.63.254243.20.63.25516,382
82243.20.64.0/18243.20.64.1 to 243.20.127.254243.20.127.25516,382
83243.20.128.0/18243.20.128.1 to 243.20.191.254243.20.191.25516,382
84243.20.192.0/18243.20.192.1 to 243.20.255.254243.20.255.25516,382
85243.21.0.0/18243.21.0.1 to 243.21.63.254243.21.63.25516,382
86243.21.64.0/18243.21.64.1 to 243.21.127.254243.21.127.25516,382
87243.21.128.0/18243.21.128.1 to 243.21.191.254243.21.191.25516,382
88243.21.192.0/18243.21.192.1 to 243.21.255.254243.21.255.25516,382
89243.22.0.0/18243.22.0.1 to 243.22.63.254243.22.63.25516,382
90243.22.64.0/18243.22.64.1 to 243.22.127.254243.22.127.25516,382
91243.22.128.0/18243.22.128.1 to 243.22.191.254243.22.191.25516,382
92243.22.192.0/18243.22.192.1 to 243.22.255.254243.22.255.25516,382
93243.23.0.0/18243.23.0.1 to 243.23.63.254243.23.63.25516,382
94243.23.64.0/18243.23.64.1 to 243.23.127.254243.23.127.25516,382
95243.23.128.0/18243.23.128.1 to 243.23.191.254243.23.191.25516,382
96243.23.192.0/18243.23.192.1 to 243.23.255.254243.23.255.25516,382
97243.24.0.0/18243.24.0.1 to 243.24.63.254243.24.63.25516,382
98243.24.64.0/18243.24.64.1 to 243.24.127.254243.24.127.25516,382
99243.24.128.0/18243.24.128.1 to 243.24.191.254243.24.191.25516,382
100243.24.192.0/18243.24.192.1 to 243.24.255.254243.24.255.25516,382
101243.25.0.0/18243.25.0.1 to 243.25.63.254243.25.63.25516,382
102243.25.64.0/18243.25.64.1 to 243.25.127.254243.25.127.25516,382
103243.25.128.0/18243.25.128.1 to 243.25.191.254243.25.191.25516,382
104243.25.192.0/18243.25.192.1 to 243.25.255.254243.25.255.25516,382
105243.26.0.0/18243.26.0.1 to 243.26.63.254243.26.63.25516,382
106243.26.64.0/18243.26.64.1 to 243.26.127.254243.26.127.25516,382
107243.26.128.0/18243.26.128.1 to 243.26.191.254243.26.191.25516,382
108243.26.192.0/18243.26.192.1 to 243.26.255.254243.26.255.25516,382
109243.27.0.0/18243.27.0.1 to 243.27.63.254243.27.63.25516,382
110243.27.64.0/18243.27.64.1 to 243.27.127.254243.27.127.25516,382
111243.27.128.0/18243.27.128.1 to 243.27.191.254243.27.191.25516,382
112243.27.192.0/18243.27.192.1 to 243.27.255.254243.27.255.25516,382
113243.28.0.0/18243.28.0.1 to 243.28.63.254243.28.63.25516,382
114243.28.64.0/18243.28.64.1 to 243.28.127.254243.28.127.25516,382
115243.28.128.0/18243.28.128.1 to 243.28.191.254243.28.191.25516,382
116243.28.192.0/18243.28.192.1 to 243.28.255.254243.28.255.25516,382
117243.29.0.0/18243.29.0.1 to 243.29.63.254243.29.63.25516,382
118243.29.64.0/18243.29.64.1 to 243.29.127.254243.29.127.25516,382
119243.29.128.0/18243.29.128.1 to 243.29.191.254243.29.191.25516,382
120243.29.192.0/18243.29.192.1 to 243.29.255.254243.29.255.25516,382
121243.30.0.0/18243.30.0.1 to 243.30.63.254243.30.63.25516,382
122243.30.64.0/18243.30.64.1 to 243.30.127.254243.30.127.25516,382
123243.30.128.0/18243.30.128.1 to 243.30.191.254243.30.191.25516,382
124243.30.192.0/18243.30.192.1 to 243.30.255.254243.30.255.25516,382
125243.31.0.0/18243.31.0.1 to 243.31.63.254243.31.63.25516,382
126243.31.64.0/18243.31.64.1 to 243.31.127.254243.31.127.25516,382
127243.31.128.0/18243.31.128.1 to 243.31.191.254243.31.191.25516,382
128243.31.192.0/18243.31.192.1 to 243.31.255.254243.31.255.25516,382
129243.32.0.0/18243.32.0.1 to 243.32.63.254243.32.63.25516,382
130243.32.64.0/18243.32.64.1 to 243.32.127.254243.32.127.25516,382
131243.32.128.0/18243.32.128.1 to 243.32.191.254243.32.191.25516,382
132243.32.192.0/18243.32.192.1 to 243.32.255.254243.32.255.25516,382
133243.33.0.0/18243.33.0.1 to 243.33.63.254243.33.63.25516,382
134243.33.64.0/18243.33.64.1 to 243.33.127.254243.33.127.25516,382
135243.33.128.0/18243.33.128.1 to 243.33.191.254243.33.191.25516,382
136243.33.192.0/18243.33.192.1 to 243.33.255.254243.33.255.25516,382
137243.34.0.0/18243.34.0.1 to 243.34.63.254243.34.63.25516,382
138243.34.64.0/18243.34.64.1 to 243.34.127.254243.34.127.25516,382
139243.34.128.0/18243.34.128.1 to 243.34.191.254243.34.191.25516,382
140243.34.192.0/18243.34.192.1 to 243.34.255.254243.34.255.25516,382
141243.35.0.0/18243.35.0.1 to 243.35.63.254243.35.63.25516,382
142243.35.64.0/18243.35.64.1 to 243.35.127.254243.35.127.25516,382
143243.35.128.0/18243.35.128.1 to 243.35.191.254243.35.191.25516,382
144243.35.192.0/18243.35.192.1 to 243.35.255.254243.35.255.25516,382
145243.36.0.0/18243.36.0.1 to 243.36.63.254243.36.63.25516,382
146243.36.64.0/18243.36.64.1 to 243.36.127.254243.36.127.25516,382
147243.36.128.0/18243.36.128.1 to 243.36.191.254243.36.191.25516,382
148243.36.192.0/18243.36.192.1 to 243.36.255.254243.36.255.25516,382
149243.37.0.0/18243.37.0.1 to 243.37.63.254243.37.63.25516,382
150243.37.64.0/18243.37.64.1 to 243.37.127.254243.37.127.25516,382
151243.37.128.0/18243.37.128.1 to 243.37.191.254243.37.191.25516,382
152243.37.192.0/18243.37.192.1 to 243.37.255.254243.37.255.25516,382
153243.38.0.0/18243.38.0.1 to 243.38.63.254243.38.63.25516,382
154243.38.64.0/18243.38.64.1 to 243.38.127.254243.38.127.25516,382
155243.38.128.0/18243.38.128.1 to 243.38.191.254243.38.191.25516,382
156243.38.192.0/18243.38.192.1 to 243.38.255.254243.38.255.25516,382
157243.39.0.0/18243.39.0.1 to 243.39.63.254243.39.63.25516,382
158243.39.64.0/18243.39.64.1 to 243.39.127.254243.39.127.25516,382
159243.39.128.0/18243.39.128.1 to 243.39.191.254243.39.191.25516,382
160243.39.192.0/18243.39.192.1 to 243.39.255.254243.39.255.25516,382
161243.40.0.0/18243.40.0.1 to 243.40.63.254243.40.63.25516,382
162243.40.64.0/18243.40.64.1 to 243.40.127.254243.40.127.25516,382
163243.40.128.0/18243.40.128.1 to 243.40.191.254243.40.191.25516,382
164243.40.192.0/18243.40.192.1 to 243.40.255.254243.40.255.25516,382
165243.41.0.0/18243.41.0.1 to 243.41.63.254243.41.63.25516,382
166243.41.64.0/18243.41.64.1 to 243.41.127.254243.41.127.25516,382
167243.41.128.0/18243.41.128.1 to 243.41.191.254243.41.191.25516,382
168243.41.192.0/18243.41.192.1 to 243.41.255.254243.41.255.25516,382
169243.42.0.0/18243.42.0.1 to 243.42.63.254243.42.63.25516,382
170243.42.64.0/18243.42.64.1 to 243.42.127.254243.42.127.25516,382
171243.42.128.0/18243.42.128.1 to 243.42.191.254243.42.191.25516,382
172243.42.192.0/18243.42.192.1 to 243.42.255.254243.42.255.25516,382
173243.43.0.0/18243.43.0.1 to 243.43.63.254243.43.63.25516,382
174243.43.64.0/18243.43.64.1 to 243.43.127.254243.43.127.25516,382
175243.43.128.0/18243.43.128.1 to 243.43.191.254243.43.191.25516,382
176243.43.192.0/18243.43.192.1 to 243.43.255.254243.43.255.25516,382
177243.44.0.0/18243.44.0.1 to 243.44.63.254243.44.63.25516,382
178243.44.64.0/18243.44.64.1 to 243.44.127.254243.44.127.25516,382
179243.44.128.0/18243.44.128.1 to 243.44.191.254243.44.191.25516,382
180243.44.192.0/18243.44.192.1 to 243.44.255.254243.44.255.25516,382
181243.45.0.0/18243.45.0.1 to 243.45.63.254243.45.63.25516,382
182243.45.64.0/18243.45.64.1 to 243.45.127.254243.45.127.25516,382
183243.45.128.0/18243.45.128.1 to 243.45.191.254243.45.191.25516,382
184243.45.192.0/18243.45.192.1 to 243.45.255.254243.45.255.25516,382
185243.46.0.0/18243.46.0.1 to 243.46.63.254243.46.63.25516,382
186243.46.64.0/18243.46.64.1 to 243.46.127.254243.46.127.25516,382
187243.46.128.0/18243.46.128.1 to 243.46.191.254243.46.191.25516,382
188243.46.192.0/18243.46.192.1 to 243.46.255.254243.46.255.25516,382
189243.47.0.0/18243.47.0.1 to 243.47.63.254243.47.63.25516,382
190243.47.64.0/18243.47.64.1 to 243.47.127.254243.47.127.25516,382
191243.47.128.0/18243.47.128.1 to 243.47.191.254243.47.191.25516,382
192243.47.192.0/18243.47.192.1 to 243.47.255.254243.47.255.25516,382
193243.48.0.0/18243.48.0.1 to 243.48.63.254243.48.63.25516,382
194243.48.64.0/18243.48.64.1 to 243.48.127.254243.48.127.25516,382
195243.48.128.0/18243.48.128.1 to 243.48.191.254243.48.191.25516,382
196243.48.192.0/18243.48.192.1 to 243.48.255.254243.48.255.25516,382
197243.49.0.0/18243.49.0.1 to 243.49.63.254243.49.63.25516,382
198243.49.64.0/18243.49.64.1 to 243.49.127.254243.49.127.25516,382
199243.49.128.0/18243.49.128.1 to 243.49.191.254243.49.191.25516,382
200243.49.192.0/18243.49.192.1 to 243.49.255.254243.49.255.25516,382
201243.50.0.0/18243.50.0.1 to 243.50.63.254243.50.63.25516,382
202243.50.64.0/18243.50.64.1 to 243.50.127.254243.50.127.25516,382
203243.50.128.0/18243.50.128.1 to 243.50.191.254243.50.191.25516,382
204243.50.192.0/18243.50.192.1 to 243.50.255.254243.50.255.25516,382
205243.51.0.0/18243.51.0.1 to 243.51.63.254243.51.63.25516,382
206243.51.64.0/18243.51.64.1 to 243.51.127.254243.51.127.25516,382
207243.51.128.0/18243.51.128.1 to 243.51.191.254243.51.191.25516,382
208243.51.192.0/18243.51.192.1 to 243.51.255.254243.51.255.25516,382
209243.52.0.0/18243.52.0.1 to 243.52.63.254243.52.63.25516,382
210243.52.64.0/18243.52.64.1 to 243.52.127.254243.52.127.25516,382
211243.52.128.0/18243.52.128.1 to 243.52.191.254243.52.191.25516,382
212243.52.192.0/18243.52.192.1 to 243.52.255.254243.52.255.25516,382
213243.53.0.0/18243.53.0.1 to 243.53.63.254243.53.63.25516,382
214243.53.64.0/18243.53.64.1 to 243.53.127.254243.53.127.25516,382
215243.53.128.0/18243.53.128.1 to 243.53.191.254243.53.191.25516,382
216243.53.192.0/18243.53.192.1 to 243.53.255.254243.53.255.25516,382
217243.54.0.0/18243.54.0.1 to 243.54.63.254243.54.63.25516,382
218243.54.64.0/18243.54.64.1 to 243.54.127.254243.54.127.25516,382
219243.54.128.0/18243.54.128.1 to 243.54.191.254243.54.191.25516,382
220243.54.192.0/18243.54.192.1 to 243.54.255.254243.54.255.25516,382
221243.55.0.0/18243.55.0.1 to 243.55.63.254243.55.63.25516,382
222243.55.64.0/18243.55.64.1 to 243.55.127.254243.55.127.25516,382
223243.55.128.0/18243.55.128.1 to 243.55.191.254243.55.191.25516,382
224243.55.192.0/18243.55.192.1 to 243.55.255.254243.55.255.25516,382
225243.56.0.0/18243.56.0.1 to 243.56.63.254243.56.63.25516,382
226243.56.64.0/18243.56.64.1 to 243.56.127.254243.56.127.25516,382
227243.56.128.0/18243.56.128.1 to 243.56.191.254243.56.191.25516,382
228243.56.192.0/18243.56.192.1 to 243.56.255.254243.56.255.25516,382
229243.57.0.0/18243.57.0.1 to 243.57.63.254243.57.63.25516,382
230243.57.64.0/18243.57.64.1 to 243.57.127.254243.57.127.25516,382
231243.57.128.0/18243.57.128.1 to 243.57.191.254243.57.191.25516,382
232243.57.192.0/18243.57.192.1 to 243.57.255.254243.57.255.25516,382
233243.58.0.0/18243.58.0.1 to 243.58.63.254243.58.63.25516,382
234243.58.64.0/18243.58.64.1 to 243.58.127.254243.58.127.25516,382
235243.58.128.0/18243.58.128.1 to 243.58.191.254243.58.191.25516,382
236243.58.192.0/18243.58.192.1 to 243.58.255.254243.58.255.25516,382
237243.59.0.0/18243.59.0.1 to 243.59.63.254243.59.63.25516,382
238243.59.64.0/18243.59.64.1 to 243.59.127.254243.59.127.25516,382
239243.59.128.0/18243.59.128.1 to 243.59.191.254243.59.191.25516,382
240243.59.192.0/18243.59.192.1 to 243.59.255.254243.59.255.25516,382
241243.60.0.0/18243.60.0.1 to 243.60.63.254243.60.63.25516,382
242243.60.64.0/18243.60.64.1 to 243.60.127.254243.60.127.25516,382
243243.60.128.0/18243.60.128.1 to 243.60.191.254243.60.191.25516,382
244243.60.192.0/18243.60.192.1 to 243.60.255.254243.60.255.25516,382
245243.61.0.0/18243.61.0.1 to 243.61.63.254243.61.63.25516,382
246243.61.64.0/18243.61.64.1 to 243.61.127.254243.61.127.25516,382
247243.61.128.0/18243.61.128.1 to 243.61.191.254243.61.191.25516,382
248243.61.192.0/18243.61.192.1 to 243.61.255.254243.61.255.25516,382
249243.62.0.0/18243.62.0.1 to 243.62.63.254243.62.63.25516,382
250243.62.64.0/18243.62.64.1 to 243.62.127.254243.62.127.25516,382
251243.62.128.0/18243.62.128.1 to 243.62.191.254243.62.191.25516,382
252243.62.192.0/18243.62.192.1 to 243.62.255.254243.62.255.25516,382
253243.63.0.0/18243.63.0.1 to 243.63.63.254243.63.63.25516,382
254243.63.64.0/18243.63.64.1 to 243.63.127.254243.63.127.25516,382
255243.63.128.0/18243.63.128.1 to 243.63.191.254243.63.191.25516,382
256243.63.192.0/18243.63.192.1 to 243.63.255.254243.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses